Bug 488930 - "W: libdir-macro-in-noarch-package" in NO-noarch package with noarch subpackage
"W: libdir-macro-in-noarch-package" in NO-noarch package with noarch subpackage
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 489233
  Show dependency treegraph
 
Reported: 2009-03-06 04:14 EST by Hans Ulrich Niedermann
Modified: 2009-04-09 12:18 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.87-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-06 16:26:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test spec file with noarch subpackage (897 bytes, text/plain)
2009-03-06 04:14 EST, Hans Ulrich Niedermann
no flags Details

  None (edit)
Description Hans Ulrich Niedermann 2009-03-06 04:14:57 EST
Created attachment 334272 [details]
test spec file with noarch subpackage

Description of problem:

  When a spec file defines a noarch subpackage, "rpmlint foo.spec"
  complains about

    foo.spec:48: W: libdir-macro-in-noarch-package %{_libdir}/%{name}/bla

  even though this file is in the arch specific main package
  or in an arch specific package.

Version-Release number of selected component (if applicable):

  rpmlint-0.85-2.fc10.noarch

How reproducible:

  100%

Steps to Reproduce:
1. download attached foo.spec
2. run "rpmlint foo.spec"
  
Actual results:

  foo.spec:48: W: libdir-macro-in-noarch-package %{_libdir}/%{name}/bla

Expected results:

  <nothing>

Additional info:
Comment 1 Ville Skyttä 2009-03-06 11:12:50 EST
Already fixed upstream, will be in 0.86 once released: http://rpmlint.zarb.org/cgi-bin/trac.cgi/ticket/175
Comment 2 Fedora Update System 2009-03-19 19:29:40 EDT
rpmlint-0.87-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rpmlint-0.87-1.fc10
Comment 3 Fedora Update System 2009-03-19 19:31:07 EDT
rpmlint-0.87-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rpmlint-0.87-1.fc9
Comment 4 Fedora Update System 2009-03-23 11:56:39 EDT
rpmlint-0.87-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmlint'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2946
Comment 5 Fedora Update System 2009-04-06 16:25:45 EDT
rpmlint-0.87-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-04-09 12:18:41 EDT
rpmlint-0.87-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.